## exaile 0.3.2.2

=== plugins/Makefile ===
PREFIX ?= /usr/local
PLUGINSDIR = /share/exaile/plugins/

INSTALL_PLUGINS = `python list.py main`
EXTRA_PLUGINS = `python list.py extra`

DIST_PLUGINS = `python list.py all`

all: compile

dist:
	mkdir -p ../dist/plugins/
	python dist_plugin.py --output ../dist/plugins/ $(DIST_PLUGINS)

compile:
	python -m compileall -q .
	-python -O -m compileall -q .

install:
	mkdir -p $(DESTDIR)$(PREFIX)$(PLUGINSDIR)
	for plugin in $(INSTALL_PLUGINS); do \
	    cp -r $${plugin} $(DESTDIR)$(PREFIX)$(PLUGINSDIR) ; \
	    done ;

extra_install:
	mkdir -p $(DESTDIR)$(PREFIX)$(PLUGINSDIR)
	for plugin in $(EXTRA_PLUGINS); do \
	    cp -r $${plugin} $(DESTDIR)$(PREFIX)$(PLUGINSDIR) ; \
	    done ;

uninstall:
	rm -rf $(PREFIX)$(PLUGINSDIR)*

clean:
	find . -name "*.py[co]" -exec rm -f {} \;

=== debian/changelog ===
exaile (0.3.2.2-3) unstable; urgency=low

  * Add suggests to exaile on python-avahi for the DAAP client/server plugin.
    (Closes: #669896)
  * Add versioned dependency on exaile (= ${source:Version}) for each of the
    plugin packages.
  * Add versioned dependency to exaile on python-mutagen (>= 1.10).
  * Add build-dep on python-gobject (>= 2.18) to fix python ImportError when
    creating manpage during build.
  * Remove build-dep on python-gtk2.
  * Merge Build-Depends and Build-Depends-Indep fields; src:exaile only builds
    arch:all packages anyways, so there's no point separating the build-deps.
  * Add debian/README.source and include build instructions, and workarounds
    to avoid exaile FTBFS when built with pbuilder/cowbuilder/sbuild.
  * Update debhelper compatibility level from 8 to 9.
  * Update Standards version from 3.9.2 to 3.9.3, no changes required.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Thu, 03 May 2012 23:03:33 -0700

exaile (0.3.2.2-2) unstable; urgency=low

  * Drop libgtk2.0-dev, intltool, intltool-debian from build dependencies.
  * Split contextinfo, ipod, and moodbar plugins into separate binary
    packages (and add debian/NEWS file to mention this change).
  * Merge Exaile's list of dependencies in Debian and Ubuntu:
    - Debian: remove dependency on python-sqlite2, libgstreamer0.10-0,
      gstreamer0.10-plugins-base, gstreamer0.10-alsa | gstreamer0.10-esd,
      python-glade2, python-pyvorbis, python-feedparser; remove recommends on
      python-gamin, python-gtkmozembed.
    - Ubuntu: remove depends/recommends on hal, python-sexy; remove suggests
      on gstreamer0.10-plugins-{ugly,bad}-multiverse.
  * Remove debian/patches/makefile_prefix.patch; use an override target in
    debian/rules instead to change prefix path.
  * Backport 128x128 icon from upstream to avoid displaying a pixelated icon
    in Unity's Dash.
    - Import debian/patches/20_dash_icon.patch from Ubuntu to not install
      48x48 icon.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Fri, 02 Dec 2011 21:11:06 -0800

exaile (0.3.2.2-1) unstable; urgency=low

  * New upstream bugfix release.
  * Add recommends of python-eggtrayicon (for the Drop Trayicon plugin) and
    python-beautifulsoup (for the Lyrics Wiki plugin).
  * Transition from dh_pysupport to dh_python2; remove build dependency
    on python-support.
  * Remove build dependency on libjs-prototype; the httpserver plugin was
    removed in the Exaile 0.3 series.
  * Add debian/patches/debian_defaults.patch; patch imported from Ubuntu for
    saner default options in Exaile.
  * Remove unneeded debian/pyversions.
  * Add license for plugins/* in debian/copyright.
  * Add Vcs-* fields to debian/control.
  * Update debhelper compatiblity level from 7 to 8.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Mon, 18 Jul 2011 23:38:35 -0700

exaile (0.3.2.1-2) unstable; urgency=low

  * Adopting package; change maintainer field in debian/control to:
    Vincent Cheng <Vincentc1208@gmail.com>. (Closes: #624358)
  * Update debhelper compatiblity level from 5 to 7.
  * Update Standards version from 3.8.1 to 3.9.2, no changes required.
  * Update debian/copyright to conform to DEP-5.
  * Update debian/rules to dh 7 "rules.tiny" style.
  * Add package help2man to build-depends.
  * Add manpage for /usr/bin/exaile.
  * Add debian/patches/makefile_prefix.patch to fix the PREFIX= paths in
    Exaile's makefiles (/usr/local -> /usr).
  * Remove unneeded technical terms from description. (Closes: #443085)
  * Remove recommends of python-eggtrayicon. (Closes: #560985)
  * Add recommends of gstreamer0.10-ffmpeg. (Closes: #596906)
  * Add recommends of python-pymtp. (Closes: #585107)
  * Bugs fixed upstream:
    - "Automatic library scan not working". (Closes: #436242)
    - "Exaile: use an http proxy". (Closes: #407503)
    - Fix Exaile's inability to sort with multiple options. (Closes: #444185)
    - Make cover art optional. (Closes: #444227)
    - "Exaile: bad settings.ini configuration file" - should be fixed with
      settings upgrade mechanism introduced in Exaile 0.3. (Closes: #439932)
    - "Cover art embedded in MP3 not displayed". (Closes: #444228)
    - Fix album cover fetching from Amazon. (Closes: #468942)
    - "Fails to use more than one GENRE tag". (Closes: #442941)

 -- Vincent Cheng <Vincentc1208@gmail.com>  Fri, 06 May 2011 20:04:37 -0700

exaile (0.3.2.1-1) unstable; urgency=low

  * QA upload, orphaning the package. (See #624358)
  * New upstream release:
    - Fix startup crash (Closes: #622282)

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Wed, 27 Apr 2011 21:51:26 +0200

exaile (0.3.2.0-0.1) unstable; urgency=low

  * Non-maintainer upload.
    - New upstream release (Closes: #576847).
    - Move to packaging format "3.0 (quilt)".
  * debian/control
    - (Build-Depends): Remove quilt.
  * debian/patches
    - Remove directory. No longer needed for current release.
  * debian/rules
    - Remove quilt dependency.
    - (install): Comment out lines not applicable any more.
  * debian/watch
    - Update regexp to point to launcpad.
  * debian/source/format
    - New file.

 -- Jari Aalto <jari.aalto@cante.net>  Fri, 15 Oct 2010 09:19:39 +0300

exaile (0.2.14+debian-2.3) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "Depends on elementtree" (provided by python >= 2.5). Thanks to Luca
    Falavigna and Jakub Wilk (Closes: #562460)

 -- Jan Hauke Rahm <jhr@debian.org>  Mon, 11 Jan 2010 18:21:01 +0100

exaile (0.2.14+debian-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Really fix the prototype issue. Last upload introduced total nonsense due
    to working on different packages at the same time. Sorry! Thanks to Ralf
    Treinen and Xavier Lüthi for discovering it! (Closes: #555244, #558219)

 -- Jan Hauke Rahm <jhr@debian.org>  Tue, 01 Dec 2009 10:17:01 +0100

exaile (0.2.14+debian-2.1) unstable; urgency=low

  * Non-maintainer upload.


=== debian/control ===
Source: exaile
Section: sound
Priority: optional
Maintainer: Vincent Cheng <Vincentc1208@gmail.com>
Build-Depends: debhelper (>= 9),
               help2man,
               python (>= 2.6.6-3~),
               python-gobject (>= 2.18)
X-Python-Version: >= 2.5
Standards-Version: 3.9.3
Homepage: http://www.exaile.org/
Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/exaile/trunk
Vcs-Browser: http://svn.debian.org/wsvn/collab-maint/deb-maint/exaile/trunk

Package: exaile
Architecture: all
Depends: gstreamer0.10-plugins-good,
         librsvg2-common,
         python (>= 2.5),
         python-dbus,
         python-gobject (>= 2.18),
         python-gst0.10,
         python-gtk2 (>= 2.17),
         python-mutagen (>= 1.10),
         ${misc:Depends},
         ${python:Depends}
Recommends: gstreamer0.10-ffmpeg,
            python-cddb,
            python-mmkeys,
            python-notify
Suggests: exaile-plugin-contextinfo,
          exaile-plugin-ipod,
          exaile-plugin-moodbar,
          exfalso,
          gstreamer0.10-plugins-bad,
          gstreamer0.10-plugins-ugly,
          ipython,
          notify-osd,
          python-avahi,
          python-beautifulsoup,
          python-eggtrayicon,
          python-pymtp,
          streamripper
Description: flexible, full-featured audio player
 Exaile is a media player which incorporates many of the cool things from
 Amarok (and other media players) like automatic fetching of album art,
 handling of large libraries, lyrics fetching, artist/album information via
 Wikipedia, last.fm support, and optional iPod support (assuming you have
 python-gpod installed).
 .
 In addition, Exaile also includes a built-in shoutcast directory
 browser, tabbed playlists (so you can have more than one playlist open
 at a time), blacklisting of tracks (so they don't get scanned into your
 library), downloading of guitar tablature from fretplay.com, and
 submitting played tracks on your iPod to last.fm.
 .
 Exaile aims to be similar to AmaroK, but uses Python and GTK+.

Package: exaile-plugin-contextinfo
Architecture: all
Depends: exaile (= ${source:Version}),
         python-imaging,
         python-webkit (>= 1.1.2),
         ${misc:Depends},
         ${python:Depends}
Description: Exaile plugin for contextual information
 This Exaile plugin adds a sidepanel for contextual information based on
 the Exaile internal tags and statistics, on lyrics plugins, and on the
 LastFM API.
 .
 Exaile is a media player which incorporates many of the cool things from
 Amarok (and other media players) like automatic fetching of album art,
 handling of large libraries, lyrics fetching, artist/album information via
 Wikipedia, last.fm support, and optional iPod support (assuming you have
 python-gpod installed).
 .
 In addition, Exaile also includes a built-in shoutcast directory
 browser, tabbed playlists (so you can have more than one playlist open
 at a time), blacklisting of tracks (so they don't get scanned into your
 library), downloading of guitar tablature from fretplay.com, and
 submitting played tracks on your iPod to last.fm.
 .
 Exaile aims to be similar to AmaroK, but uses Python and GTK+.

Package: exaile-plugin-ipod
Architecture: all
Depends: exaile (= ${source:Version}),
         python-gpod,
         ${misc:Depends},
         ${python:Depends}
Description: Exaile plugin for iPod support
 This Exaile plugin adds support for the iPod portable media players in the
 Exaile device manager.
 .
 Exaile is a media player which incorporates many of the cool things from
 Amarok (and other media players) like automatic fetching of album art,
 handling of large libraries, lyrics fetching, artist/album information via
 Wikipedia, last.fm support, and optional iPod support (assuming you have
 python-gpod installed).
 .
 In addition, Exaile also includes a built-in shoutcast directory
 browser, tabbed playlists (so you can have more than one playlist open
 at a time), blacklisting of tracks (so they don't get scanned into your
 library), downloading of guitar tablature from fretplay.com, and
 submitting played tracks on your iPod to last.fm.
 .
 Exaile aims to be similar to AmaroK, but uses Python and GTK+.

Package: exaile-plugin-moodbar
Architecture: all
Depends: exaile (= ${source:Version}),
         moodbar,
         ${misc:Depends},
         ${python:Depends}
Description: Exaile plugin for moodbar
 This Exaile plugin turns the progress bar of the tracks into a bar which
 color depends on the tracks' mood.
 .
 Exaile is a media player which incorporates many of the cool things from
 Amarok (and other media players) like automatic fetching of album art,
 handling of large libraries, lyrics fetching, artist/album information via
 Wikipedia, last.fm support, and optional iPod support (assuming you have
 python-gpod installed).
 .
 In addition, Exaile also includes a built-in shoutcast directory
 browser, tabbed playlists (so you can have more than one playlist open
 at a time), blacklisting of tracks (so they don't get scanned into your
 library), downloading of guitar tablature from fretplay.com, and
 submitting played tracks on your iPod to last.fm.
 .
 Exaile aims to be similar to AmaroK, but uses Python and GTK+.

=== debian/rules ===
#!/usr/bin/make -f

# Note: This package cannot be built with root/fakeroot. Please refer to
# debian/README.source for a detailed explanation and workarounds.

%:
	dh $@ --with python2

# Don't run test suite.
override_dh_auto_test:

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp/ PREFIX=/usr
	# Backport unreleased 128x128 icon. LP: #834566
	dh_install debian/exaile.png usr/share/pixmaps
	find * -name 'COPYING' -delete
	dh_install

override_dh_python2:
	dh_python2 -pexaile
	dh_python2 -pexaile-plugin-contextinfo /usr/share/exaile/plugins/
	dh_python2 -pexaile-plugin-ipod /usr/share/exaile/plugins/
	dh_python2 -pexaile-plugin-moodbar /usr/share/exaile/plugins/

=== debian/watch ===
version=3
http://launchpad.net/exaile/ .*exaile-([\d.]+)\.tar\.gz

## exaile 3.3.1

=== debian/changelog ===
exaile (3.3.1-1ubuntu1) saucy; urgency=low

  * Use logind over ConsoleKit to shut the system down 

 -- Iain Lane <iain@orangesquash.org.uk>  Thu, 02 May 2013 00:44:02 +0100

exaile (3.3.1-1) unstable; urgency=low

  * New upstream release.
  * Remove unused lintian overrides.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Thu, 15 Nov 2012 16:01:08 -0800

exaile (3.3.0-1) unstable; urgency=low

  * Upload to unstable.
  * New upstream release.
  * Add lintian override for executable-not-elf-or-script.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Sat, 22 Sep 2012 16:05:32 -0700

exaile (3.3.0~rc2-1) experimental; urgency=low

  * New upstream release candidate.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Fri, 14 Sep 2012 23:02:52 -0700

exaile (3.3.0~rc1-1) experimental; urgency=low

  * Upload to experimental.
  * New upstream release candidate.
    - Fix crash when playlist contains ogg file rather after mp3 file.
      (Closes: #672574)
    - Fix segmentation fault while fetching cover art. (Closes: #625950)
    - Fix parser error when adding radio stream. (Closes: #649371)
    - Remove debian/patches/20_dash_icon.patch and debian/exaile.png;
      no longer needed.
    - Refreshing remaining patches.
  * Update X-Python-Version value in debian/control to >= 2.6.
  * Pass --fail-missing to dh_install to make sure that we install everything.
    - New plugins included in package: history, musicbrainzcovers, abrepeat,
      inhibitsuspend, mainmenubutton, bpm, osd, previewdevice,
      lastfmlove, wikipedia, grouptagger.
  * Update debian/watch file.
  * Set DMUA flag in debian/control, as per agreement with sponsor.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Mon, 10 Sep 2012 01:02:37 -0700

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: exaile
 Section: sound
 Priority: optional
-Maintainer: Vincent Cheng <Vincentc1208@gmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Vincent Cheng <Vincentc1208@gmail.com>
 Build-Depends: debhelper (>= 9),
                help2man,
                python (>= 2.6.6-3~),
                python-gobject (>= 2.18)
-X-Python-Version: >= 2.5
+X-Python-Version: >= 2.6
 Standards-Version: 3.9.3
+DM-Upload-Allowed: yes
 Homepage: http://www.exaile.org/
 Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/exaile/trunk
 Vcs-Browser: http://svn.debian.org/wsvn/collab-maint/deb-maint/exaile/trunk

## exaile 3.3.2

=== Makefile ===
PYTHON2_CMD	?= `command -v python2`

PREFIX 		?= /usr/local
LIBINSTALLDIR 	?= /lib
XDGCONFDIR 	?= /etc/xdg

EXAILEBINDIR  = ${DESTDIR}${PREFIX}/bin
EXAILELIBDIR 	= ${DESTDIR}${PREFIX}${LIBINSTALLDIR}/exaile
EXAILESHAREDIR 	= ${DESTDIR}${PREFIX}/share/exaile
EXAILECONFDIR 	= ${DESTDIR}${XDGCONFDIR}/exaile

.PHONY: dist test coverage clean sanitycheck

all: compile locale manpage
	@echo "Ready to install..."

# The no_locale stuff is by request of BSD people, please ensure
# all methods that deal with locale stuff have a no_locale variant
all_no_locale: compile
	@echo "Ready to install..."

compile:
	${PYTHON2_CMD} -m compileall -q xl xlgui
	-${PYTHON2_CMD} -O -m compileall -q xl xlgui
	${MAKE} -C plugins compile

make-install-dirs:
	mkdir -p ${EXAILEBINDIR}
	mkdir -p ${EXAILELIBDIR}
	mkdir -p ${EXAILELIBDIR}/xl
	mkdir -p ${EXAILELIBDIR}/xl/metadata
	mkdir -p ${EXAILELIBDIR}/xl/player
	mkdir -p ${EXAILELIBDIR}/xl/migrations
	mkdir -p ${EXAILELIBDIR}/xl/migrations/database
	mkdir -p ${EXAILELIBDIR}/xl/migrations/settings
	mkdir -p ${EXAILELIBDIR}/xl/trax
	mkdir -p ${EXAILELIBDIR}/xlgui
	mkdir -p ${EXAILELIBDIR}/xlgui/panel
	mkdir -p ${EXAILELIBDIR}/xlgui/preferences
	mkdir -p ${EXAILELIBDIR}/xlgui/widgets
	mkdir -p ${EXAILESHAREDIR}
	mkdir -p ${EXAILESHAREDIR}/data
	mkdir -p ${EXAILESHAREDIR}/data/images/16x16
	mkdir -p ${EXAILESHAREDIR}/data/images/22x22
	mkdir -p ${EXAILESHAREDIR}/data/images/24x24
	mkdir -p ${EXAILESHAREDIR}/data/images/32x32
	mkdir -p ${EXAILESHAREDIR}/data/images/48x48
	mkdir -p ${EXAILESHAREDIR}/data/images/scalable
	mkdir -p ${EXAILESHAREDIR}/data/ui
	mkdir -p ${EXAILESHAREDIR}/data/ui/panel
	mkdir -p ${EXAILESHAREDIR}/data/ui/preferences
	mkdir -p ${EXAILESHAREDIR}/data/ui/widgets
	mkdir -p ${EXAILESHAREDIR}/data/migrations
	mkdir -p ${EXAILESHAREDIR}/data/migrations/migration_200907100931
	mkdir -p ${DESTDIR}${PREFIX}/share/pixmaps
	mkdir -p ${DESTDIR}${PREFIX}/share/applications
	mkdir -p ${DESTDIR}${PREFIX}/share/man/man1
	mkdir -p ${DESTDIR}${PREFIX}/share/dbus-1/services
	mkdir -p ${EXAILECONFDIR}

uninstall:
	rm -f  ${EXAILEBINDIR}/exaile
	rm -rf ${EXAILELIBDIR}
	rm -rf ${EXAILESHAREDIR}
	rm -rf ${EXAILECONFDIR}/exaile
	rm -f ${DESTDIR}${PREFIX}/share/applications/exaile.desktop
	rm -f ${DESTDIR}${PREFIX}/share/pixmaps/exaile.png
	rm -f ${DESTDIR}${PREFIX}/share/man/man1/exaile.1.gz
	rm -f ${DESTDIR}${PREFIX}/share/dbus-1/services/org.exaile.Exaile.service
	${MAKE} -C plugins uninstall

install: install-target install-locale

install_no_locale: install-target

install-target: make-install-dirs
	install -m 644 exaile.py ${EXAILELIBDIR}	
	-install -m 644 xl/*.py[co] ${EXAILELIBDIR}/xl
	install -m 644 xl/*.py ${EXAILELIBDIR}/xl
	-install -m 644 xl/metadata/*.py[co] ${EXAILELIBDIR}/xl/metadata
	install -m 644 xl/metadata/*.py ${EXAILELIBDIR}/xl/metadata
	-install -m 644 xl/player/*.py[co] ${EXAILELIBDIR}/xl/player
	install -m 644 xl/player/*.py ${EXAILELIBDIR}/xl/player
	-install -m 644 xl/migrations/*.py[co] ${EXAILELIBDIR}/xl/migrations
	install -m 644 xl/migrations/*.py ${EXAILELIBDIR}/xl/migrations
	-install -m 644 xl/migrations/database/*.py[co] ${EXAILELIBDIR}/xl/migrations/database/
	install -m 644 xl/migrations/database/*.py ${EXAILELIBDIR}/xl/migrations/database/
	-install -m 644 xl/migrations/settings/*.py[co] ${EXAILELIBDIR}/xl/migrations/settings/
	install -m 644 xl/migrations/settings/*.py ${EXAILELIBDIR}/xl/migrations/settings/
	-install -m 644 xl/trax/*.py[co] ${EXAILELIBDIR}/xl/trax
	install -m 644 xl/trax/*.py ${EXAILELIBDIR}/xl/trax
	-install -m 644 xlgui/*.py[co] ${EXAILELIBDIR}/xlgui
	install -m 644 xlgui/*.py ${EXAILELIBDIR}/xlgui
	-install -m 644 xlgui/panel/*.py[co] ${EXAILELIBDIR}/xlgui/panel
	install -m 644 xlgui/panel/*.py ${EXAILELIBDIR}/xlgui/panel
	-install -m 644 xlgui/preferences/*.py[co] ${EXAILELIBDIR}/xlgui/preferences
	install -m 644 xlgui/preferences/*.py ${EXAILELIBDIR}/xlgui/preferences
	-install -m 644 xlgui/widgets/*.py[co] ${EXAILELIBDIR}/xlgui/widgets
	install -m 644 xlgui/widgets/*.py ${EXAILELIBDIR}/xlgui/widgets
	install -m 644 data/images/16x16/*.png ${EXAILESHAREDIR}/data/images/16x16
	install -m 644 data/images/22x22/*.png ${EXAILESHAREDIR}/data/images/22x22
	install -m 644 data/images/24x24/*.png ${EXAILESHAREDIR}/data/images/24x24
	install -m 644 data/images/32x32/*.png ${EXAILESHAREDIR}/data/images/32x32
	install -m 644 data/images/48x48/*.png ${EXAILESHAREDIR}/data/images/48x48
	install -m 644 data/images/scalable/*.svg ${EXAILESHAREDIR}/data/images/scalable
	install -m 644 data/images/*.png ${EXAILESHAREDIR}/data/images
	install -m 644 data/images/128x128/exaile.png \
		${DESTDIR}${PREFIX}/share/pixmaps/exaile.png
	install -m 644 data/ui/*.ui ${EXAILESHAREDIR}/data/ui
	install -m 644 data/ui/panel/*.ui ${EXAILESHAREDIR}/data/ui/panel
	install -m 644 data/ui/preferences/*.ui ${EXAILESHAREDIR}/data/ui/preferences
	install -m 644 data/ui/widgets/*.ui ${EXAILESHAREDIR}/data/ui/widgets
	install -m 644 data/migrations/*.py ${EXAILESHAREDIR}/data/migrations/
	install -m 644 data/migrations/migration_200907100931/*.py \
	    	${EXAILESHAREDIR}/data/migrations/migration_200907100931/
	install -m 644 data/exaile.desktop \
		${DESTDIR}${PREFIX}/share/applications/	
	-install -m 644 exaile.1.gz ${DESTDIR}${PREFIX}/share/man/man1/
	install -m 644 data/config/settings.ini ${EXAILECONFDIR}
	tools/generate-launcher "${DESTDIR}" "${PREFIX}" "${LIBINSTALLDIR}" \
		"${PYTHON2_CMD}" && \
	  chmod 755 ${DESTDIR}${PREFIX}/bin/exaile
	sed "s|\@bindir\@|${EXAILEBINDIR}|" data/org.exaile.Exaile.service.in > \
		${DESTDIR}${PREFIX}/share/dbus-1/services/org.exaile.Exaile.service
	${MAKE} -C plugins install

locale:
	${MAKE} -C po locale

install-locale:
	for f in `find po -name exaile.mo` ; do \
	  install -d -m 755 \
	    `echo $$f | sed "s|^po|${DESTDIR}${PREFIX}/share/locale|" | \
	      xargs dirname` && \
	  install -m 644 $$f \
	    `echo $$f | sed "s|^po|${DESTDIR}${PREFIX}/share/locale|"` ; \
	  done

plugins_dist:
	${MAKE} -C plugins dist

# The sed call in -h removes the indent from group headers to work around
# help2man's incompatibility with optparse's grouping.
manpage:
	help2man -n "music manager and player" -N \
	  -h './exaile --help | sed "s/^  //"' \
	  ./exaile \
	  | gzip -9 > exaile.1.gz

clean:
	-find . -name "*.~[0-9]~" -exec rm -f {} \;
	-find . -name "*.py[co]" -exec rm -f {} \;
	find po/* -depth -type d -exec rm -r {} \;
	rm -f exaile.1.gz
	${MAKE} -C plugins clean

# The "[type: gettext/glade]" helps intltool recognize .ui files as glade format
pot:
	echo "[encoding: UTF-8]" > po/POTFILES.in && \
	  find xl -name "*.py" >> po/POTFILES.in && \
	  find xlgui -name "*.py" >> po/POTFILES.in && \
	  find data/ui/ -name "*.ui" | sed 's/^/[type: gettext\/glade]/' >> po/POTFILES.in && \
	  find plugins -name "*.py" | grep -v treeviewtest >> po/POTFILES.in && \
	  find plugins -name "*.ui" | grep -v treeviewtest | sed 's/^/[type: gettext\/glade]/' >> po/POTFILES.in && \
	  find plugins -name PLUGININFO | grep -v treeviewtest >> po/POTFILES.in && \
	  cd po && XGETTEXT_ARGS="--language=Python --add-comments=TRANSLATORS" \
	    intltool-update --pot --gettext-package=messages --verbose && cd ..

potball:
	tar --bzip2 --format=posix -cf build/exaile-po.tar.bz2 po/ \
	    --transform s/po/./


dist:
	mkdir -p dist
	rm -rf dist/copy
	bzr export dist/copy/
	./tools/dist.sh
	rm -rf dist/copy

test:
	nosetests -w tests

test_coverage:
	rm -rf coverage/
	rm -f .coverage
	nosetests -w tests --with-coverage --cover-package=xl; \
	mkdir -p coverage; \
	coverage html -d coverage

lint_errors:
	-pylint -e --rcfile tools/pylint.cfg xl xlgui 2> /dev/null

sanitycheck: lint_errors test

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d _build/doctrees ${PAPEROPT_${PAPER}} ${SPHINXOPTS} .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf _build/*

html:
	${SPHINXBUILD} -b html ${ALLSPHINXOPTS} _build/html
	@echo
	@echo "Build finished. The HTML pages are in _build/html."

dirhtml:
	${SPHINXBUILD} -b dirhtml ${ALLSPHINXOPTS} _build/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in _build/dirhtml."

pickle:
	${SPHINXBUILD} -b pickle ${ALLSPHINXOPTS} _build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	${SPHINXBUILD} -b json ${ALLSPHINXOPTS} _build/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	${SPHINXBUILD} -b htmlhelp ${ALLSPHINXOPTS} _build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in _build/htmlhelp."

qthelp:
	${SPHINXBUILD} -b qthelp ${ALLSPHINXOPTS} _build/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in _build/qthelp, like this:"
	@echo "# qcollectiongenerator _build/qthelp/Exaile.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile _build/qthelp/Exaile.qhc"

latex:
	${SPHINXBUILD} -b latex ${ALLSPHINXOPTS} _build/latex
	@echo
	@echo "Build finished; the LaTeX files are in _build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	${SPHINXBUILD} -b changes ${ALLSPHINXOPTS} _build/changes
	@echo
	@echo "The overview file is in _build/changes."

linkcheck:
	${SPHINXBUILD} -b linkcheck ${ALLSPHINXOPTS} _build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in _build/linkcheck/output.txt."

doctest:
	${SPHINXBUILD} -b doctest ${ALLSPHINXOPTS} _build/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in _build/doctest/output.txt."

=== plugins/Makefile ===
PYTHON2_CMD	?= python2
PREFIX		?= /usr/local
PLUGINSDIR	= /share/exaile/plugins/

INSTALL_PLUGINS = `${PYTHON2_CMD} list.py main`
EXTRA_PLUGINS = `${PYTHON2_CMD} list.py extra`

DIST_PLUGINS = `${PYTHON2_CMD} list.py all`

all: compile

dist:
	mkdir -p ../dist/plugins/ && \
	${PYTHON2_CMD} dist_plugin.py --output ../dist/plugins/ ${DIST_PLUGINS}

compile:
	${PYTHON2_CMD} -m compileall -q .
	-${PYTHON2_CMD} -O -m compileall -q .

install:
	mkdir -p ${DESTDIR}${PREFIX}${PLUGINSDIR} && \
	for plugin in ${INSTALL_PLUGINS}; do \
	    cp -r $${plugin} ${DESTDIR}${PREFIX}${PLUGINSDIR} ; \
	    done ;

extra_install:
	mkdir -p ${DESTDIR}${PREFIX}${PLUGINSDIR} && \
	for plugin in ${EXTRA_PLUGINS}; do \
	    cp -r $${plugin} ${DESTDIR}${PREFIX}${PLUGINSDIR} ; \
	    done ;

uninstall:
	rm -rf ${DESTDIR}${PREFIX}${PLUGINSDIR}*

clean:
	find . -name "*.py[co]" -exec rm -f {} \;

=== po/Makefile ===
locale:
	find . -name "*.po" -exec ../tools/compilepo.sh {} \;

=== debian/changelog ===
exaile (3.3.2-1) unstable; urgency=low

  * New upstream release.
  * Add debian/patches/20_use-logind-to-shutdown.patch: allow shutdown plugin
    to support both logind in addition to ConsoleKit. Thanks to Iain Lane.
  * Remove references to Shoutcast in package descriptions. (Closes: #721682)
  * (Re-)add lintian override for executable-not-elf-or-script.
  * Fix lintian warning vcs-field-not-canonical.
  * Remove deprecated DMUA flag in debian/control.
  * Update Standards version from 3.9.3 to 3.9.4, no changes required.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Sat, 26 Oct 2013 16:55:00 -0700

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,16 @@
 Source: exaile
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Vincent Cheng <Vincentc1208@gmail.com>
+Maintainer: Vincent Cheng <Vincentc1208@gmail.com>
 Build-Depends: debhelper (>= 9),
                help2man,
                python (>= 2.6.6-3~),
                python-gobject (>= 2.18)
 X-Python-Version: >= 2.6
-Standards-Version: 3.9.3
-DM-Upload-Allowed: yes
+Standards-Version: 3.9.4
 Homepage: http://www.exaile.org/
-Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/exaile/trunk
-Vcs-Browser: http://svn.debian.org/wsvn/collab-maint/deb-maint/exaile/trunk
+Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/exaile/trunk
+Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/exaile/trunk
 
 Package: exaile
 Architecture: all
@@ -50,11 +48,10 @@
  Wikipedia, last.fm support, and optional iPod support (assuming you have
  python-gpod installed).
  .
- In addition, Exaile also includes a built-in shoutcast directory
- browser, tabbed playlists (so you can have more than one playlist open
- at a time), blacklisting of tracks (so they don't get scanned into your
- library), downloading of guitar tablature from fretplay.com, and
- submitting played tracks on your iPod to last.fm.
+ In addition, Exaile also includes tabbed playlists (so you can have more
+ than one playlist open at a time), blacklisting of tracks (so they don't
+ get scanned into your library), downloading of guitar tablature from
+ fretplay.com, and submitting played tracks on your iPod to last.fm.
  .
  Exaile aims to be similar to AmaroK, but uses Python and GTK+.
 
@@ -76,11 +73,10 @@
  Wikipedia, last.fm support, and optional iPod support (assuming you have
  python-gpod installed).
  .
- In addition, Exaile also includes a built-in shoutcast directory
- browser, tabbed playlists (so you can have more than one playlist open
- at a time), blacklisting of tracks (so they don't get scanned into your
- library), downloading of guitar tablature from fretplay.com, and
- submitting played tracks on your iPod to last.fm.
+ In addition, Exaile also includes tabbed playlists (so you can have more
+ than one playlist open at a time), blacklisting of tracks (so they don't
+ get scanned into your library), downloading of guitar tablature from
+ fretplay.com, and submitting played tracks on your iPod to last.fm.
  .
  Exaile aims to be similar to AmaroK, but uses Python and GTK+.
 
@@ -100,11 +96,10 @@
  Wikipedia, last.fm support, and optional iPod support (assuming you have
  python-gpod installed).
  .
- In addition, Exaile also includes a built-in shoutcast directory
- browser, tabbed playlists (so you can have more than one playlist open
- at a time), blacklisting of tracks (so they don't get scanned into your
- library), downloading of guitar tablature from fretplay.com, and
- submitting played tracks on your iPod to last.fm.
+ In addition, Exaile also includes tabbed playlists (so you can have more
+ than one playlist open at a time), blacklisting of tracks (so they don't
+ get scanned into your library), downloading of guitar tablature from
+ fretplay.com, and submitting played tracks on your iPod to last.fm.
  .
  Exaile aims to be similar to AmaroK, but uses Python and GTK+.
 
@@ -124,10 +119,9 @@
  Wikipedia, last.fm support, and optional iPod support (assuming you have
  python-gpod installed).
  .
- In addition, Exaile also includes a built-in shoutcast directory
- browser, tabbed playlists (so you can have more than one playlist open
- at a time), blacklisting of tracks (so they don't get scanned into your
- library), downloading of guitar tablature from fretplay.com, and
- submitting played tracks on your iPod to last.fm.
+ In addition, Exaile also includes tabbed playlists (so you can have more
+ than one playlist open at a time), blacklisting of tracks (so they don't
+ get scanned into your library), downloading of guitar tablature from
+ fretplay.com, and submitting played tracks on your iPod to last.fm.
  .
  Exaile aims to be similar to AmaroK, but uses Python and GTK+.

=== debian/rules ===
--- 
+++ 
@@ -6,15 +6,18 @@
 %:
 	dh $@ --with python2
 
+override_dh_auto_build:
+	$(MAKE) PYTHON2_CMD=/usr/bin/python
+
+override_dh_auto_install:
+	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp/ PREFIX=/usr \
+	                PYTHON2_CMD=/usr/bin/python
+	find $(CURDIR) -name 'COPYING' -delete
+	# winmmkeys is a Windows-specific plugin
+	dh_install --fail-missing -Xwinmmkeys
+
 # Don't run test suite.
 override_dh_auto_test:
-
-override_dh_auto_install:
-	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp/ PREFIX=/usr
-	# Backport unreleased 128x128 icon. LP: #834566
-	dh_install debian/exaile.png usr/share/pixmaps
-	find * -name 'COPYING' -delete
-	dh_install
 
 override_dh_python2:
 	dh_python2 -pexaile

=== debian/watch ===
version=3
http://launchpad.net/exaile/ .*exaile-([\d.]+)\.tar\.gz

## exaile 3.4.0.2

=== Makefile ===
--- 
+++ 
@@ -28,6 +28,7 @@
 	mkdir -p ${EXAILEBINDIR}
 	mkdir -p ${EXAILELIBDIR}
 	mkdir -p ${EXAILELIBDIR}/xl
+	mkdir -p ${EXAILELIBDIR}/xl/externals
 	mkdir -p ${EXAILELIBDIR}/xl/metadata
 	mkdir -p ${EXAILELIBDIR}/xl/player
 	mkdir -p ${EXAILELIBDIR}/xl/migrations
@@ -53,6 +54,7 @@
 	mkdir -p ${EXAILESHAREDIR}/data/migrations
 	mkdir -p ${EXAILESHAREDIR}/data/migrations/migration_200907100931
 	mkdir -p ${DESTDIR}${PREFIX}/share/pixmaps
+	mkdir -p ${DESTDIR}${PREFIX}/share/appdata
 	mkdir -p ${DESTDIR}${PREFIX}/share/applications
 	mkdir -p ${DESTDIR}${PREFIX}/share/man/man1
 	mkdir -p ${DESTDIR}${PREFIX}/share/dbus-1/services
@@ -77,6 +79,8 @@
 	install -m 644 exaile.py ${EXAILELIBDIR}	
 	-install -m 644 xl/*.py[co] ${EXAILELIBDIR}/xl
 	install -m 644 xl/*.py ${EXAILELIBDIR}/xl
+	-install -m 644 xl/metadata/*.py[co] ${EXAILELIBDIR}/xl/externals
+	install -m 644 xl/metadata/*.py ${EXAILELIBDIR}/xl/externals
 	-install -m 644 xl/metadata/*.py[co] ${EXAILELIBDIR}/xl/metadata
 	install -m 644 xl/metadata/*.py ${EXAILELIBDIR}/xl/metadata
 	-install -m 644 xl/player/*.py[co] ${EXAILELIBDIR}/xl/player
@@ -114,13 +118,15 @@
 	install -m 644 data/migrations/migration_200907100931/*.py \
 	    	${EXAILESHAREDIR}/data/migrations/migration_200907100931/
 	install -m 644 data/exaile.desktop \
-		${DESTDIR}${PREFIX}/share/applications/	
+		${DESTDIR}${PREFIX}/share/applications/
+	install -m 644 data/exaile.appdata.xml \
+		${DESTDIR}${PREFIX}/share/appdata/	
 	-install -m 644 exaile.1.gz ${DESTDIR}${PREFIX}/share/man/man1/
 	install -m 644 data/config/settings.ini ${EXAILECONFDIR}
 	tools/generate-launcher "${DESTDIR}" "${PREFIX}" "${LIBINSTALLDIR}" \
 		"${PYTHON2_CMD}" && \
 	  chmod 755 ${DESTDIR}${PREFIX}/bin/exaile
-	sed "s|\@bindir\@|${EXAILEBINDIR}|" data/org.exaile.Exaile.service.in > \
+	sed "s|\@bindir\@|${PREFIX}/bin|" data/org.exaile.Exaile.service.in > \
 		${DESTDIR}${PREFIX}/share/dbus-1/services/org.exaile.Exaile.service
 	${MAKE} -C plugins install

=== debian/changelog ===
exaile (3.4.0.2-1) unstable; urgency=medium

  * New upstream release.
    - Drop 20_use-logind-to-shutdown.patch, applied upstream.
    - Refresh remaining patches.
  * Update email address.
  * Update watch file.
  * Update Standards version from 3.9.4 to 3.9.5, no changes required.

 -- Vincent Cheng <vcheng@debian.org>  Wed, 03 Sep 2014 23:05:55 -0700

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: exaile
 Section: sound
 Priority: optional
-Maintainer: Vincent Cheng <Vincentc1208@gmail.com>
+Maintainer: Vincent Cheng <vcheng@debian.org>
 Build-Depends: debhelper (>= 9),
                help2man,
                python (>= 2.6.6-3~),
                python-gobject (>= 2.18)
 X-Python-Version: >= 2.6
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.exaile.org/
 Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/exaile/trunk
 Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/exaile/trunk

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 override_dh_auto_install:
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp/ PREFIX=/usr \
 	                PYTHON2_CMD=/usr/bin/python
-	find $(CURDIR) -name 'COPYING' -delete
+	find $(CURDIR) \( -name 'COPYING' -o -name 'LICENSE' \) -delete
 	# winmmkeys is a Windows-specific plugin
 	dh_install --fail-missing -Xwinmmkeys

=== debian/watch ===
version=3
https://github.com/exaile-dev/exaile/tags .*/v?(\d.*)\.(?:tgz|tbz2|tar\.(?:gz|bz2|xz))

## exaile 3.4.3

=== Makefile ===
--- 
+++ 
@@ -180,7 +180,7 @@
 dist:
 	mkdir -p dist
 	rm -rf dist/copy
-	bzr export dist/copy/
+	git archive HEAD --prefix=copy/ | tar -x -C dist
 	./tools/dist.sh
 	rm -rf dist/copy

=== debian/changelog ===
exaile (3.4.3-1) unstable; urgency=medium

  * New upstream release.
    - Add build-dep on git because exaile now requires it for manpage 
      generation (via help2man).

 -- Vincent Cheng <vcheng@debian.org>  Mon, 15 Dec 2014 22:50:53 -0800

exaile (3.4.2-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Cheng <vcheng@debian.org>  Mon, 10 Nov 2014 00:21:43 -0800

exaile (3.4.1-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards version from 3.9.5 to 3.9.6, no changes required.

 -- Vincent Cheng <vcheng@debian.org>  Sat, 01 Nov 2014 15:16:17 -0700

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,12 @@
 Priority: optional
 Maintainer: Vincent Cheng <vcheng@debian.org>
 Build-Depends: debhelper (>= 9),
+               git,
                help2man,
                python (>= 2.6.6-3~),
                python-gobject (>= 2.18)
 X-Python-Version: >= 2.6
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.exaile.org/
 Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/exaile/trunk
 Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/exaile/trunk

## exaile 3.4.5

=== Makefile ===
--- 
+++ 
@@ -64,12 +64,13 @@
 	rm -f  ${EXAILEBINDIR}/exaile
 	rm -rf ${EXAILELIBDIR}
 	rm -rf ${EXAILESHAREDIR}
-	rm -rf ${EXAILECONFDIR}/exaile
+	rm -rf ${EXAILECONFDIR}
 	rm -f ${DESTDIR}${PREFIX}/share/applications/exaile.desktop
 	rm -f ${DESTDIR}${PREFIX}/share/pixmaps/exaile.png
 	rm -f ${DESTDIR}${PREFIX}/share/man/man1/exaile.1.gz
 	rm -f ${DESTDIR}${PREFIX}/share/dbus-1/services/org.exaile.Exaile.service
 	${MAKE} -C plugins uninstall
+	find ${DESTDIR}${PREFIX}/share/locale -name "exaile.mo" -exec rm -f {} \;
 
 install: install-target install-locale

=== debian/changelog ===
exaile (3.4.5-1) unstable; urgency=medium

  * New upstream release.
    - Refresh patches.

 -- Vincent Cheng <vcheng@debian.org>  Wed, 29 Apr 2015 01:34:19 -0700

exaile (3.4.4-1) unstable; urgency=medium

  * New upstream release.
    - Refresh patches.

 -- Vincent Cheng <vcheng@debian.org>  Wed, 18 Mar 2015 16:30:51 -0700

## exaile 4.1.3~sparky7~0

=== debian/changelog ===
exaile (4.1.3~sparky7~0-1) UNRELEASED; urgency=medium

  * Initial release. (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- pavroo <pavroo@onet.eu>  Thu, 03 Aug 2023 20:28:58 +0200

=== debian/control ===
Source: exaile
Section: sound
Priority: optional
Maintainer: pavroo <pavroo@onet.eu>
Build-Depends: debhelper (>= 9),
               help2man,
               python3 (>= 3.6)
Standards-Version: 3.9.5
Homepage: http://www.exaile.org/

Package: exaile
Architecture: all
Depends: librsvg2-common,
         python3 (>= 3.8),
         python3-bsddb3, 
         python3-mutagen (>= 1.38),
         python3-dbus,
         gstreamer1.0-plugins-base (>= 1.14),
         gstreamer1.0-plugins-good (>= 1.14),
         gstreamer1.0-libav,
         python3-gi (>= 3.22),
         python3-gi-cairo,
         gir1.2-gtk-3.0,
         gir1.2-gstreamer-1.0,
         gir1.2-gst-plugins-base-1.0,
         gettext,
         udisks2,
         libnotify4,
         ${misc:Depends},
         ${python:Depends}
Recommends: sphinxbase-utils,
            forked-daapd,
            python3-zeroconf,
            python3-pylast,
            python3-lxml,
            python3-bs4,
            python3-musicbrainzngs,
            python3-feedparser,
            libwebkit2gtk-4.0-37,
            libkeybinder-3.0-0,
            librsvg2-2,
            streamripper,
            bpm-tools,
            python3-mox3,
            python3-pytest
Suggests: moodbar,
          python-cddb,
          gstreamer1.0-plugins-bad,
          gstreamer1.0-plugins-ugly
Description: flexible, full-featured audio player
 Exaile is a media player which incorporates many of the cool things from
 Amarok (and other media players) like automatic fetching of album art,
 handling of large libraries, lyrics fetching, artist/album information via
 Wikipedia, last.fm support, and optional iPod support (assuming you have
 python-gpod installed).
 .
 In addition, Exaile also includes tabbed playlists (so you can have more
 than one playlist open at a time), blacklisting of tracks (so they don't
 get scanned into your library), downloading of guitar tablature from
 fretplay.com, and submitting played tracks on your iPod to last.fm.
 .
 Exaile aims to be similar to AmaroK, but uses Python and GTK+.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(CURDIR)/debian/exaile/ PREFIX=/usr

# Don't run test suite.
override_dh_auto_test:

## exaile 4.1.3+dfsg

=== tools/installer/requirements.txt ===
pywin32-ctypes==0.2.0
pyinstaller==5.7
musicbrainzngs==0.6
mutagen==1.46
pylast==1.8.0
feedparser==6.0.8
pynput==1.7.6
discid

=== debian/changelog ===
exaile (4.1.3+dfsg-2ubuntu1) noble; urgency=medium

  * Drop hardcoded libgtk-3-0 dependency; gir1.2-gtk-3.0 gets the right one

 -- Julian Andres Klode <juliank@ubuntu.com>  Sat, 23 Mar 2024 20:30:18 +0100

exaile (4.1.3+dfsg-2build1) noble; urgency=medium

  * No-change rebuild against libgtk-3-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 19 Mar 2024 06:09:54 +0000

exaile (4.1.3+dfsg-2) unstable; urgency=low

  * Adding explicit dependencies for gir1.2-girepository-2.0
    and other typelibs (Closes: #1059625)

 -- luzip665 <luzip665@posteo.de>  Sat, 30 DEC 2023 12:32:16 +0200

exaile (4.1.3+dfsg-1) unstable; urgency=low

  * Adding support for tagging aac files with id3 tags
  * Change flac/ogg metadata handling for bpm and comment
  * Adding a message window to inform about changes regarding the tagging
  * Bugfix: Adding of unsupported file types will be prevented

 -- luzip665 <luzip665@posteo.de>  Sun, 13 Aug 2023 12:32:16 +0200

exaile (4.1.3~beta3+dfsg-1) unstable; urgency=low

  * Reintroduce package (Closes: #785897, #1012202)

 -- luzip665 <luzip665@posteo.de>  Tue, 25 Apr 2023 16:22:44 +0200

=== debian/control ===
Source: exaile
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: luzip665 <luzip665@posteo.de>
Build-Depends: debhelper-compat (= 13), python3 (>= 3.6), python3-sphinx (>= 1.6), python3-gi-cairo (>=3.26), help2man
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://exaile.org

Package: exaile
Architecture: all
Depends:
 python3 (>= 3.6),
 python3-bsddb3 (>=6.1),
 gstreamer1.0-plugins-good (>=1.14),
 python3-mutagen (>=1.38),
 python3-gi-cairo (>=3.26),
 python3-dbus,
 gir1.2-atk-1.0,
 gir1.2-gdk-3.0,
 gir1.2-gdkpixbuf-2.0,
 gir1.2-gio-2.0,
 gir1.2-girepository-2.0,
 gir1.2-glib-2.0,
 gir1.2-gobject-2.0,
 gir1.2-gtk-3.0 (>=3.22),
 gir1.2-gst-plugins-base-1.0 (>=1.14),
 gir1.2-gstreamer-1.0,
 gir1.2-pango-1.0,
 ${misc:Depends}
Suggests:
 gir1.2-keybinder-3.0,
 gir1.2-pangocairo-1.0,
 gir1.2-notify-0.7,
 gir1.2-webkit2-4.1 | gir1.2-webkit2-4.0,
 gvfs-backends (>=1.36),
 python3-feedparser,
 python3-libdiscid (>=2.0),
 python3-musicbrainzngs (>=0.7)
Description: Music player with a simple interface and powerful capabilities
 Exaile is a music player with a simple interface and powerful
 music management capabilities. Features include automatic fetching of album
 art, lyrics fetching, streaming internet radio, tabbed playlists, smart
 playlists with extensive filtering/search capabilities, and much more.
 .
 Exaile is written using Python and GTK+ and is easily extensible via plugins.
 There are over 50 plugins distributed with Exaile that include advanced track
 tagging, last.fm scrobbling, support for portable media players, podcasts,
 internet radio such as icecast and Soma.FM, ReplayGain, output via a secondary
 output device (great for DJs!), and much more.
 .
 For more information see https://www.exaile.org/

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
#export PREFIX=/usr

%:
	dh $@

override_dh_auto_build:
	make manpage
	make completion
	make locale
override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr
	find $(CURDIR) \( -name 'COPYING' -o -name 'LICENSE' \) -delete

override_dh_auto_test:
